# KeyPress
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.listeners

## Class KeyPress

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.listeners.KeyPress

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class KeyPress
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`KeyPress()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onPress(SendKeyEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyPress

    public KeyPress()

### Method Detail

#### onPress

    public void onPress(SendKeyEvent event)
                 throws java.lang.ClassNotFoundException,
                        java.lang.IllegalAccessException,
                        java.lang.InstantiationException

Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`